import request from '@/utils/request'

// 查询客户信息列表
export function listClient(query) {
  return request({
    url: '/sales/client/list',
    method: 'get',
    params: query
  })
}

// 查询客户信息详细
export function getClient(id) {
  return request({
    url: '/sales/client/' + id,
    method: 'get'
  })
}

// 新增客户信息
export function addClient(data) {
  return request({
    url: '/sales/client',
    method: 'post',
    data: data
  })
}

// 修改客户信息
export function updateClient(data) {
  return request({
    url: '/sales/client',
    method: 'put',
    data: data
  })
}

// 删除客户信息
export function delClient(id) {
  return request({
    url: '/sales/client/' + id,
    method: 'delete'
  })
}
